www.libssh2.org | Daily snapshots | Mailing list archive | Docs | Examples | github

Archive Index This month's Index

Subject: Re: Unable to link with OpenSSL libraries under Cygwin

Re: Unable to link with OpenSSL libraries under Cygwin

From: Peter Stuge <peter_at_stuge.se>
Date: Fri, 18 May 2012 05:57:14 +0200

Alex Rolfe wrote:
> I'm having trouble building the library. I'm using libssh2-1.4.1 and
> openssl-1.0.1c, and gcc v4.5.3 using Cygwin
> I built the SSL library the other day, and it passed all its self-tests,
> and links/runs fine with a basic test program.
> When libssh2 tries to link with it, I get the following errors.

Show the exact configure command that you ran for libssh2 along with
the complete unedited output from the configure.

> I'd appreciate any information, I'm not sure what the problem is.

Shared vs. static linking.

//Peter
_______________________________________________
libssh2-devel http://cool.haxx.se/cgi-bin/mailman/listinfo/libssh2-devel
Received on 2012-05-18

the libssh2 team